Browse Source

PIO env, Travis test for STM32F407VE (#14674)

Tanguy Pruvot 4 years ago
parent
commit
f0be92259b

+ 1
- 0
.travis.yml View File

@@ -18,6 +18,7 @@ env:
18 18
   - TEST_PLATFORM="linux_native"
19 19
   - TEST_PLATFORM="esp32"
20 20
   - TEST_PLATFORM="alfawise_U20"
21
+  - TEST_PLATFORM="black_stm32f407ve"
21 22
 
22 23
 before_install:
23 24
   #

+ 13
- 0
buildroot/share/tests/black_stm32f407ve-tests View File

@@ -0,0 +1,13 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F407VET6
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs STM32/Black_STM32F407VET6
10
+exec_test $1 $2 "Full-featured Sample Black STM32F407VET6 config"
11
+
12
+# cleanup
13
+restore_configs

+ 1
- 1
config/examples/JGAurora/A1/Configuration_adv.h View File

@@ -884,7 +884,7 @@
884 884
  * LED Control Menu
885 885
  * Enable this feature to add LED Control to the LCD menu
886 886
  */
887
-#define LED_CONTROL_MENU
887
+//#define LED_CONTROL_MENU
888 888
 #if ENABLED(LED_CONTROL_MENU)
889 889
   #define LED_COLOR_PRESETS                 // Enable the Preset Color menu option
890 890
   #if ENABLED(LED_COLOR_PRESETS)

+ 6
- 5
platformio.ini View File

@@ -458,12 +458,13 @@ lib_ignore    = c1921b4
458 458
 # JGAurora A5S A1 (STM32F103ZET6)
459 459
 #
460 460
 [env:JGAURORA_A5S_A1]
461
-platform      = ststm32@5.3.0
461
+platform      = ststm32
462 462
 framework     = arduino
463 463
 board         = genericSTM32F103ZE
464 464
 extra_scripts = buildroot/share/PlatformIO/scripts/jgaurora_a5s_a1_with_bootloader.py
465 465
 build_flags   = !python Marlin/src/HAL/HAL_STM32F1/STM32F1_flag_script.py
466
-  ${common.build_flags}
466
+  ${common.build_flags} -std=gnu++14
467
+build_unflags = -std=gnu++11
467 468
 src_filter    = ${common.default_src_filter} +<src/HAL/HAL_STM32F1>
468 469
 lib_deps      = ${common.lib_deps}
469 470
 lib_ignore    = c1921b4
@@ -482,7 +483,7 @@ monitor_speed = 250000
482 483
 # Shield - https://github.com/jmz52/Hardware
483 484
 #
484 485
 [env:black_stm32f407ve]
485
-platform = ststm32
486
+platform = ststm32@5.4.3
486 487
 framework = arduino
487 488
 board = blackSTM32F407VET6
488 489
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/black_stm32f407vet6.py
@@ -497,13 +498,13 @@ monitor_speed = 250000
497 498
 # BIGTREE_SKR_PRO (STM32F407ZGT6 ARM Cortex-M4)
498 499
 #
499 500
 [env:BIGTREE_SKR_PRO]
500
-platform = ststm32
501
+platform = ststm32@5.4.3
501 502
 framework = arduino
502 503
 board = BigTree_SKR_Pro
503 504
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
504 505
 build_flags = ${common.build_flags}
505 506
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
506
-  -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000
507
+  -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000 -DHAVE_HWSERIAL6
507 508
 lib_deps = ${common.lib_deps}
508 509
 lib_ignore = Adafruit NeoPixel, c1921b4, TMC26XStepper, SailfishLCD, SailfishRGB_LED, SlowSoftI2CMaster
509 510
 src_filter = ${common.default_src_filter} +<src/HAL/HAL_STM32>

Loading…
Cancel
Save